# Framadate 

Framadate deployement

## Requirements

Needs paquerette ansible utility rôles : https://git.paquerette.eu/paquerette/infrastructure/ansible-paquerette

## Role Variables


```yml
- role: framadate_instance
  client: ClientName
  app_instance_id: date_clientID
  description: framdate by client
  app_domain: date.domain.fr
  database_password: 5H................
  admin_password: eR............
  app_user: date_paq_user
  clear_app_user_password: Gw6.........
  app_user_password: $6$Gu3....................................................................
```

- vars : 
    - **app_domain**
    - **app_instance_id**
    - app_version: **master**
    - **app_old_version** : last app_version
    - **app_run** : skip / install / reinstall / upgrade
    - admin_user: **admin**
    - **admin_password**


## Default Variables

```yml
admin_user: "admin"
```


## Dependencies

- platform roles : 
    - apache2_server
    - mariadb_mysql_server
    - php7_fpm

## Using the rôle

### Installation

```bash
./play.py --inv hosts yourhost framadate_instance install
```

after install, manually finish the configuration for smtp use in app/inc/config.php 

https://framagit.org/framasoft/framadate/framadate/-/wikis/Install/Configure

using nginx see : 
https://zestedesavoir.com/billets/3333/guide-installer-framadate-derriere-nginx/

### Uninstallation

```bash
./play.py --inv hosts yourhost framadate_instance uninstall -e 'app_instance_to_uninstall=framadate_instance'
```

## License

GPL V3

## Author Information

Pâquerette Team contact@paquerette.eu

[paquerette.eu](http://paquerette.eu)
