# mattermost instance 

Mattermost deployement

## Requirements

Needs paquerette ansible utility rôles : https://git.paquerette.eu/paquerette/infrastructure/ansible-paquerette

## Role Variables


```yml
- role: mattermost_instance
  client: ClientName
  app_instance_id: mt_tchat_clientID
  description: chat.domain.fr
  app_domain: chat.domain.fr
  app_old_version: 8.1.2
  app_version: 8.1.8
```

- vars : 
    - **app_domain**
    - **app_instance_id**
    - **app_version**
    - **app_old_version** : last app_version
    - **app_run** : skip / install / reinstall / upgrade
    - app_port : **8065** 


## Default Variables

```yml
app_program: "Mattermost"
app_port: 8065
database_type: "postgres"
app_user: "{{ app_instance_id }}"
app_group: "{{ app_user }}"
app_service: "{{ app_instance_id }}.service"
app_instance_root: "{{ www_root }}/{{ app_instance_id }}"
app_data: "{{ www_root }}/{{ app_instance_id }}.data"
database_password: "{{ app_instance_id }}_pwd"
```

## Dependencies

- base_server
- base_platform

- platform roles : 
    - apache2 / nginx
    - postgres_server

## Using the rôle

### Installation

```bash
./play.py --inv hosts yourhost mattermost_instance install
```

### Uninstallation

```bash
./play.py --inv hosts yourhost mattermost_instance uninstall -e 'app_instance_to_uninstall=mattermost_instance'
```

## License

GPL V3

## Author Information

Pâquerette Team contact@paquerette.eu

[paquerette.eu](http://paquerette.eu)
