# Nextcloud

Nextcloud deployement

## Requirements

Needs paquerette ansible utility rôles : https://git.paquerette.eu/paquerette/infrastructure/ansible-paquerette

## Role Variables


```yml
- role: nextcloud_instance
  client: ClientName
  app_instance_id: nc_clientName
  description: cloud.domain.fr 10 users and 20 Go
  app_domain: cloud.clientName
  database_password: Eo54...............
  volume_name: "v-{{ app_instance_id }}"
  volume_size: 20
  app_old_version: 26.0.9
  app_version: 26.0.10
```

* Change app version to yours


## Default Variables

```yml
app_program: "Nextcloud"
nextcloud_default_admin: "admin"
nextcloud_default_password: "admin"
app_instance_root: "{{ www_root }}/{{ app_instance_id }}"
app_data: "{{ www_root }}/{{ app_instance_id }}.data"
database_type: "postgres"
local_release: "releases/{{ role_name }}/default"
monit_request: "https://{{ app_domain }}/index.php/login"
nextcloud_default_apps: ["calendar","contacts","tasks","deck","announcementcenter","notes","groupfolders","files_markdown","text"]
_smtp_authtype: "PLAIN"
_smtp_secure: "tls"
_smtp_auth: "1"
behind_reverse_proxy: false
```


## Dependencies

- base_server
- base_platform
- php7_fpm


## Using the rôle

### Installation

```bash
./play.py --inv hosts yourhost nextcloud_instance install
```

### Uninstallation

```bash
./play.py --inv hosts yourhost nextcloud_instance uninstall -e 'app_instance_to_uninstall=nextcloud_instance'
```

## License

GPL V3

## Author Information

Pâquerette Team contact@paquerette.eu

[paquerette.eu](http://paquerette.eu)
